﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_ComboBoxDemo
{
    public static class CountryDetailsRepository
    {
        public static Dictionary<string, ObservableCollection<CityDetails>> GetCityDetails()
        {
            ObservableCollection<CityDetails> argentina = new ObservableCollection<CityDetails>();
            argentina.Add(new CityDetails() {CityName = "Bergamo", CityID = 101});
            argentina.Add(new CityDetails() {CityName = "Graz", CityID = 102});
            argentina.Add(new CityDetails() {CityName = "Campinas", CityID = 103});
            argentina.Add(new CityDetails() {CityName = "Montréal", CityID = 104});
            argentina.Add(new CityDetails() {CityName = "Buenos Aires", CityID = 114});

            ObservableCollection<CityDetails> austria = new ObservableCollection<CityDetails>();
            austria.Add(new CityDetails() {CityName = "austriaAachen", CityID = 105});
            austria.Add(new CityDetails() {CityName = "Cork", CityID = 106});
            austria.Add(new CityDetails() {CityName = "Århus", CityID = 107});
            austria.Add(new CityDetails() {CityName = "Montréal", CityID = 104});
            austria.Add(new CityDetails() {CityName = "Graz", CityID = 102});

            ObservableCollection<CityDetails> belgium = new ObservableCollection<CityDetails>();
            belgium = new ObservableCollection<CityDetails>();
            belgium.Add(new CityDetails() {CityName = "Bruxelles", CityID = 108});
            belgium.Add(new CityDetails() {CityName = "Campinas", CityID = 103});
            belgium.Add(new CityDetails() {CityName = "Lille", CityID = 110});
            belgium.Add(new CityDetails() {CityName = "Bergamo", CityID = 101});

            ObservableCollection<CityDetails> brazil = new ObservableCollection<CityDetails>();
            brazil = new ObservableCollection<CityDetails>();
            brazil.Add(new CityDetails() {CityName = "Montréal", CityID = 104});
            brazil.Add(new CityDetails() {CityName = "Aachen", CityID = 105});
            brazil.Add(new CityDetails() {CityName = "Graz", CityID = 102});
            brazil.Add(new CityDetails() {CityName = "Bergamo", CityID = 101});
            brazil.Add(new CityDetails() {CityName = "Campinas", CityID = 103});

            ObservableCollection<CityDetails> canada = new ObservableCollection<CityDetails>();
            canada = new ObservableCollection<CityDetails>();
            canada.Add(new CityDetails() {CityName = "Montréal", CityID = 104});
            canada.Add(new CityDetails() {CityName = "Århus", CityID = 107});
            canada.Add(new CityDetails() {CityName = "Bergamo", CityID = 101});
            canada.Add(new CityDetails() {CityName = "Lille", CityID = 110});
            canada.Add(new CityDetails() {CityName = "Montréal", CityID = 104});

            ObservableCollection<CityDetails> denmark = new ObservableCollection<CityDetails>();
            denmark = new ObservableCollection<CityDetails>();
            denmark.Add(new CityDetails() {CityName = "Campinas", CityID = 103});
            denmark.Add(new CityDetails() {CityName = "Bruxelles", CityID = 108});
            denmark.Add(new CityDetails() {CityName = "Bergamo", CityID = 101});
            denmark.Add(new CityDetails() {CityName = "Graz", CityID = 102});
            denmark.Add(new CityDetails() {CityName = "Århus", CityID = 107});

            ObservableCollection<CityDetails> finland = new ObservableCollection<CityDetails>();
            finland = new ObservableCollection<CityDetails>();
            finland.Add(new CityDetails() {CityName = "Bruxelles", CityID = 108});
            finland.Add(new CityDetails() {CityName = "Montréal", CityID = 104});
            finland.Add(new CityDetails() {CityName = "Cork", CityID = 106});
            finland.Add(new CityDetails() {CityName = "Helsinki", CityID = 113});

            ObservableCollection<CityDetails> italy = new ObservableCollection<CityDetails>();
            italy = new ObservableCollection<CityDetails>();
            italy.Add(new CityDetails() {CityName = "Bruxelles", CityID = 108});
            italy.Add(new CityDetails() {CityName = "Montréal", CityID = 104});
            italy.Add(new CityDetails() {CityName = "Cork", CityID = 106});
            italy.Add(new CityDetails() {CityName = "Helsinki", CityID = 113});

            ObservableCollection<CityDetails> us = new ObservableCollection<CityDetails>();
            us = new ObservableCollection<CityDetails>();
            us.Add(new CityDetails() {CityName = "Campinas", CityID = 103});
            us.Add(new CityDetails() {CityName = "Bruxelles", CityID = 108});
            us.Add(new CityDetails() {CityName = "Bergamo", CityID = 101});
            us.Add(new CityDetails() {CityName = "Graz", CityID = 102});
            us.Add(new CityDetails() {CityName = "Århus", CityID = 107});

            ObservableCollection<CityDetails> uk = new ObservableCollection<CityDetails>();
            uk = new ObservableCollection<CityDetails>();
            uk.Add(new CityDetails() {CityName = "Bruxelles", CityID = 108});
            uk.Add(new CityDetails() {CityName = "Montréal", CityID = 104});
            uk.Add(new CityDetails() {CityName = "Cork", CityID = 106});
            uk.Add(new CityDetails() {CityName = "Helsinki", CityID = 113});

            Dictionary<string, ObservableCollection<CityDetails>> shipDictionary =
                new Dictionary<string, ObservableCollection<CityDetails>>();
            shipDictionary.Add("Argentina", argentina);
            shipDictionary.Add("Austria", austria);
            shipDictionary.Add("Belgium", belgium);
            shipDictionary.Add("Brazil", brazil);
            shipDictionary.Add("Canada", canada);
            shipDictionary.Add("Denmark", denmark);
            shipDictionary.Add("Finland", finland);
            shipDictionary.Add("Italy", italy);
            shipDictionary.Add("US", us);
            shipDictionary.Add("UK", uk);
            return shipDictionary;
        }

        public static List<string> GetCountryList()
        {
            var countryList = new List<string>();
            countryList.Add("Argentina");
            countryList.Add("Austria");
            countryList.Add("Belgium");
            countryList.Add("Brazil");
            countryList.Add("Canada");
            countryList.Add("Denmark");
            countryList.Add("Finland");
            countryList.Add("Italy");
            countryList.Add("US");
            countryList.Add("UK");
            return countryList;
        }
    }
}
